HISTORY.708                            1                           Aug 30, 1997

-------------------------------------------------------------------------------
                                Revision history

Detailed revision histories for the programs are only maintained for  the  last
three releases.  After that, you get the major revision summaries only for  the
next three releases or so.  In any case,  if  your  version  of  any  of  these
programs is more than a year old, your version  is  definitely  obsolete.   Hop
onto the Web or e-mail me or something and get the new version!

-------------- (full detail; revisions made 1 to 3 releases ago)
Release 708 (August 1997):

  REMINDER: NEW E-MAIL ADDRESS FOR WAYNE SOFTWARE PROGRAMS:  WayneSof@erols.com

  All programs:  This release was pretty much just to let things  settle  down.
  I didn't feel comfortable with waiting as long between releases as I had last
  time so I figured a number of bugs would pop up.  I didn't post the  previous
  release to Coast-To-Coast, Simtel, or  Ziff-Davis  because  I  figured  there
  might be some transition problems so now it's time!

  AV:  Maintenance release.  [Replaces av703.zip]

  BFIND:  /P (pause) now respects default page lengths if in EGA or  VGA  mode.
  /S  (cascading)  now  works  within  a  @listfile  specification.   [Replaces
  bfind707.zip]

  CHANGE:   /S  (cascading)  now  works  within  a   @listfile   specification.
  [Replaces chang707.zip]

  COPSINCE:  Maintenance release.  [Replaces cops704.zip]

  DATES:  /P (pause) now respects default page lengths if in EGA or  VGA  mode.
  [Replaces dates704.zip]

  DIRTOTAL:  Fixed error which /CLUSTER  option  incorrectly  reporting  0-byte
  files as taking up one cluster when, in fact, they don't take up  any  space.
  [Replaces dirto702.zip]

  EUMAIL:  Added support for multiple nickname files.  Dropped the Clear Screen
  when the routine begins.  [Replaces eumal707.zip]

  FILL:  Maintenance release.  [Replaces fill704.zip]

  HTMSTRIP:  Fixed a problem with tables under  /BUFF=0.   Split  out  the  MOZ
  program.  [Replaces htmst707.zip]

  MOZ:  Finally split it out from HTMSTRIP finally.  Program is only  available
  as     a     stand-alone     program     from     my     Web     site      at
  http://www.geocities.com/SiliconValley/Lakes/2414

Release 707 (July 1997):

  NEW E-MAIL ADDRESS FOR WAYNE SOFTWARE PROGRAMS:  WayneSof@erols.com

  All programs:  My Internet service provider (NMAA) announced in May that they
  were selling off their Internet operations to Digital Citizen so I decided to
  wait on releasing anything until I was certain what my new e-mail address was
  going to be.  Loooong pause!  The transition to the  new  provider  was  very

HISTORY.708                            2                           Aug 30, 1997

  painful and e-mail was dead for weeks at a  time.   I  finally  gave  up  and
  shifted to Erols in the beginning of August.   I  will  try  to  periodically
  check my NMAA account for e-mail (if its up) until that subscription runs out
  or disappears.

  All programs:  INI files can now include comments after  parameters;  precede
  the comment with at least two spaces and a semi-colon or at least  one  space
  and "/*" such as:
        /MONO   ; Need to override color setting since upsets monitor
        /-DOS   /* Don't want them being able to jump to DOS

  All programs:  The warning about not  supporting  long  filenames  etc  under
  Windows 95 and Windows NT has been moved first in most of the  documentation.
  I've finally realized that people are more likely  to  write  (and  complain)
  than they are to read past the first two paragraphs.  Some day I  may  recode
  everything in Windows but  they  don't  support  long  filenames  now,  okay?
  Sheesh!

  BFIND:  /-EMPTY was still showing items with 0 counts if /C was specified; am
  now dropping the 0 entries under that circumstance.   Modified  documentation
  (also for CHANGE and DATES) to mention that the  program  can't  detect  that
  it's running under Windows NT so the /W0 parameter is not the  default  under
  Windows NT (it's detected under Windows 3.1 and Windows 95 only).   [Replaces
  bfind704.zip]

  CHANGE:  Fixed problem when file to change was on the  root  directory  of  a
  non- default drive.  Fixed a problem which skipped  /IN  specifications  that
  were any other than the first one.  Changed on-screen  display  considerably.
  Added the ability to handle input files which are DOS text files  (lines  end
  with CR/LF), Mac text files (lines end with CR), or Unix  text  files  (lines
  end with LF). If /TEXT is specified, however, the output file will always  be
  written with lines ending  in  CR/LF.   Added  support  for  doing  cascading
  subdirectories (processing child subdirectories) so  added  /S  and  /-PROMPT
  parameters.  Added support for specifying column width (vs field  width)  for
  worksheet output (since spreadsheets will flow text to  the  next  unoccupied
  column).  Changed the input routines due to memory problems; mouse selections
  for /VERIFY is no longer supported.  Despite thinking otherwise, the  program
  only handled 10 TO/FROM pairs before; now handles 30 as  promised.   The  log
  file now includes file names processed if multiple input files (for  example,
  wildcards) are specified.  Added /Qn parameter to determine how often  status
  messages show up in text mode.  Fixed up an error  which  sometimes  rejected
  input files in the non-default subdirectory.   Modified  documentation  (also
  for BFIND and DATES) to mention that  the  program  can't  detect  that  it's
  running under Windows NT so the  /W0  parameter  is  not  the  default  under
  Windows NT (it's detected under Windows 3.1 and Windows 95 only).   [Replaces
  chang704.zip]

  CONVERT:  Miscellaneous fixes for /DELIMS=,,, when  /FROM  FIXED  in  effect.
  For fixed input  files,  program  now  treats  "(..)"  around  numbers  (e.g.
  "(123)") as a negative indicator.  Program also typically supports commas  in
  numeric fields in fixed-field input files now.  (If you have a non-US numeric
  format default,  you  *may*  have  trouble  with  this.   Please  contact  me
  immediately if that's the case and I'll let you know about some  undocumented
  parameters that control this.) Converted some internal variables from strings
  to integers which should make the program  execute  a  little  more  quickly.
  [Replaces convr704.zip]

  DIRCOMP:  Stopped the program from aborting when you had an invalid file date

HISTORY.708                            3                           Aug 30, 1997

  stamp.  Report was misreporting summary for files older in  source  directory
  vs destination directory; reworded  a  little  to  make  those  results  more
  obvious. [Replaces dirco703.zip]

  EUMAIL:  Fixed up summary date ranges.  Added /FORMAT=0 to  get  rid  of  the
  heading section entirely.  I've found  this  helps  when  creating  full-text
  searchable versions of my mail, something I've needed to do to let me  search
  through my joke list when I'm trying  to  avoid  posting  a  duplicate  item.
  [Replaces eumal704.zip]

  FILUPDAT:  Fixed a bug with /SKIP parameter.  [Replaces filup704.zip]

  FIXTEXT:  Arghh!  Wasn't working without an INI file.  Fixed it.   Added  /Qn
  parameter  to  determine  how  often  status  messages  show  up.   [Replaces
  fixtx704.zip]

  FORTUNE:  Fixed an error with the program  processing  its  own  batch  file.
  [Replaces fortn704.txt]

  HTMSTRIP:  Fixed a bug in using the @listfile option.   Added  /MAP=spec  and
  /MAPALT=spec.  Dropped /SYMBOLS parameter  since  it  was  confusing.   Added
  /A=NONE, /IMG=NONE, and /IMGALT=NONE which  are  the  defaults.   Also  added
  /-INPUT to turn off the <INPUT> specifications.  Added examples for /IMG=spec
  and /IMGALT=spec options.  Added support for replacing <B>, </B>, <U>,  </U>,
  <I>, </I>, <EM>, </EM>, <TITLE>, </TITLE>, and <H1> to <H6>, </H1>  to  </H6>
  indicators with underlines or printer commands (e.g.   underline-on  command)
  so some sort of emphasis could be maintained.  Had a complaint about comments
  in INI files so changed parser to ignore items in  the  INI  file  after  two
  spaces and a semi-colon and also modified the default HTMSTRIP.INI to use the
  semi-colon instead of "/*"; note however that "/*" still  works  as  long  as
  it's preceded by at least one  space.   Fixed  a  bug  using  the  /COPY=path
  parameter. Fixed a bug involving dropping some rows when flushing tables when
  a cell gets too big.  Fixed a bug with input lines which  don't  contain  EOL
  characters. Changed the default attribute restriction to be  /ATTR=-H-S  (was
  /ATTR=-H-S-R). [Replaces htmst704.zip]

  PAGINATE:  Fixed  up  a  problem  with  multicolumn  printing  with  headers.
  [Replaces pagin704.zip]

  READ and READMAKE:  Fixed a bug with an extra  CR/LF  that  got  written  out
  every 6000 characters whenever you printed a file.  [Replaces read703.zip]

  READY:  Minor title line changes (now shows "Press F1 for Help" if you're  on
  the first line of the file).  [Replaces read703.zip]

  TXTABLE:  Fixed a bug in non-HTML outputs.  Fixed a bug which caused multiple
  tables to repeat themselves.  [Replaces txtab704.zip]

Release 704 (Apr 1997):

  All programs:  Added support for processing all  environmental  variables  in
  input stream.  Added support for using a  comma  instead  of  an  equal  sign
  (which is invalid) for environmental variables.  Environmental variables  are
  now described in BRUCEINI.DOC.

  BFIND:  Search strings which begin with "/" (e.g.  BFIND "/1997"  *.TXT)  can
  now be enclosed in quotes; they were rejected before since it  presumed  they
  must be a BFIND parameter itself.  [Replaces bfind701.zip]

HISTORY.708                            4                           Aug 30, 1997


  CHANGE:  Command nows allows you to specify  multiple  file  names  from  the
  command line.  Fixed a problem involved in running the command  from  a  root
  directory.  Strings which begin with a "/"  (e.g.   CHANGE  MYFILE.TXT  /FROM
  "/1997" /TO "/1998") can now be enclosed in quotes; they were rejected before
  since it  presumed  they  must  be  a  CHANGE  parameter  itself.   [Replaces
  chang702.zip]

  CONVERT:  Fixed a bug with automatic field  determination  not  ignoring  the
  first records specified in /FIRSTOBS=n parameter.  [Replaces convr701.zip]

  COPSINCE:  Maintenance release.  [Replaces cops611.zip]

  DATES:  Program didn't trim  leading  spaces  from  input  lines;  does  now.
  [Replaces dates701.zip]

  EUMAIL:  Back-tracked on the /DUMP processing introduced last month since  it
  dropped the display of line counts.  Fixed a bug which skipped entries if one
  contained a comma in the username.  Additional minor bug  fixing.   [Replaces
  eumal703.zip]

  FILL:  Command now allows you to specify multiple file names from the command
  line.  Reports now show the file date based on your country  setting.   Fixed
  error with exclusion specification (/Xfilespec)  which  resulted  in  program
  continuing to prompt for more diskettes even after all valid files  had  been
  copied.  [Replaces fill703.zip]

  FILUPDAT:  Maintenance release.  Documentation was hopelessly out of date  so
  updated that too.  [Replaces filup610.zip]

  FIXTEXT:  Command now allows you to specify  multiple  file  names  from  the
  command line.  [Replaces fixtx702.zip]

  FORTUNE:  /IN (set) wasn't working; fixed it.  [Replaces fortn703.zip]

  HTMSTRIP:  Command now allows you to specify multiple  file  names  from  the
  command line.  Added support for representing <INPUT VALUE=value> and  <INPUT
  SIZE=size>.  Added support for CHECKED parameter in <INPUT TYPE=CHECKBOX> and
  <INPUT TYPE=RADIO>.  Changed the default for <INPUT>  representation  in  the
  control file.  Table cells with COLSPAN=n now extend across multiple  columns
  (but ROWSPAN=n still doesn't go across multiple rows).  Fixed error with  not
  doing a newline after </TR> when  /-TABLE  in  effect.   Other  miscellaneous
  changes.  [Replaces htmst703.zip]

  PAGINATE:  Command now allows you to specify multiple  file  names  from  the
  command line.  INDENTER marker  command  renamed  INDENTFLAG.   Added  a  new
  INDENTER=string marker command which can be used to make some indented lists.
  Added a DATE=string marker command which can be used to alter the display  of
  the date in headers, footers, and titles; the date formats  were  changed  in
  all of the  other  documentation.   PAGINATE  documentation  now  includes  a
  section on date displays.  [Replaces pagin702.zip]

  TXTABLE:  Maintenance release.  [Replaces txtab702.zip]

-------------- (kind of terse; revisions made 4 to 6 releases ago)
Release 703 (Mar 1997):

  AV:  Added support for 43- and 50-line modes.

HISTORY.708                            5                           Aug 30, 1997


  FORTUNE:  Program now detects if you're operating  under  Win95  and  changes
  default /VAR=char specification to /VAR=@ instead of /VAR=% just as  it  does
  under 4DOS.

  HTMSTRIP:  Now supports Windows, 7-bit DOS, and 8-bit DOS character sets (see
  the "/CPn" parameter).  Added /LOG=logfile parameter.

Release 702 (Feb 1997):

  CHANGE:  Added /ATTR=attribs parameter.

  FORTUNE:  Added /SIZE, /DATE, and /ATTR=attribs specifications.

  HTMSTRIP:  Added support for  character-translation  file.   Changed  default
  table borders to be text instead of graphics  characters.   Added  quickstart
  instructions.

  PAGINATE:  Added WRAPBOL=string and WRAPEOL=string commands.

Release 701 (Jan 1997):

  All programs:  New Web site:

        http://www.geocities.com/SiliconValley/Lakes/2414

  AV:  Small files done to memory instead of ISAM now so quicker.

  DIRCOMP:  More work with attributes; specify /ATTR=ALL to get all files.

  HTMSTRIP:    Provides   partial   support   for   COLSPAN=n   and   ROWSPAN=n
  specifications in tables.  Added tab expansion.  Changed  program  to  accept
  lines that end with any combination of CR, CR/LF, CR/CR/LF, or LF.


HISTORY.708                            6                           Aug 30, 1997

-------------------------------------------------------------------------------
                          Wish list & bugs to squash

Nothing in this list is guaranteed to be incorporated in the routines. However,
they may be.  Realistically, most of these have been on the list for  a  *long*
time so don't hold your breath.

Given that these programs are freeware, it's hard for me  to  justify  spending
the time adding features that of use to a small  number  of  people.   Offering
money to me to implement these would help; yes, I can do  specialized  versions
for your own purposes on a fee basis.  In general, bugs are more likely  to  be
fixed over new features being added.

BFIND:
 * (708) Add support  for  passing  in  multiple  filespecs  as  "(filespecs)".
   CHANGE:
 * (707) Currently, I  can't  add  anything  to  this  program  due  to  memory
   considerations.  Any future changes will require extensive recoding.
 * Ck passing in /BINARY from an environmental variable
 * Ability to insert characters (/FROM NULL /TO xxx)
 * Ability to change any character at a  specified  column  to  something  else
   (i.e. deleting columns)
CONVERT:
 * Support international date formats
 * Add /INMISSD and /OUTMISSD parms
COPSINCE:
 * Warn if diskette runs out of space
 * Add /S option
 * (707) Prompt before copying over a file
 * (707) Some sort of status report
 * Support for 4DOS
DATES:
 * Add setting to allow color switch for tomorrow's item
DIRCOMP:
 * Support for 4DOS
 * (708) Ability to specify which results show up in the report file.
EUMAIL:
 * (707) Ability to specify the output directory for the DMP files
 * (708) Ability to directly support multiple nickname files.
FILL:
 * /S (cascade) option?
 * Support for 4DOS
 * (701) Consider new algorithm for fitting files
 * (706) If write-protected, or damaged, consider prompting for another disk
FILUPDAT:
 * Warn if diskette runs out of space
 * Support for 4DOS
 * (704) Support for cascade (/S)
FORTUNE:
 * (703) Some option to turn off the listing of defaults at the  start  of  the
   program, maybe expand this to the other routines
HTMSTRIP:
* (701) Handle COLSPAN and ROWSPAN better (should eliminate borders)
* Need a better way to handle long table cells
* Handle embedded ALIGN statements better (vs Netscape's CENTER)
           <Hn>  def is flush left               ALIGN="s" or ALIGN=s
           <P>          flush left
           <CAPTION>    ??

HISTORY.708                            7                           Aug 29, 1997

 * Handle anchors  <P ID="...">
 * (701) Tab expansion should take effect on output, not input
 * (701) Consider handling the looser "<!-- ... -- >" form of comments?
 * (702) Radio buttons etc don't line up correctly within table cells
 * (703) Allow for <INPUT TYPE="RADIO"> to be on same line.
 * (707) <PRE>..</PRE> blocks probably should still be centered if requested.
 * (707) <P> within <LI> should still be indented.
 * (708) /-CENTER option to turn off center handling.
MOZ:
 * Add grab-all for pages that are list of images etc (e.g.  accessing  an  ftp
   page in Netscape gives you just a list of files)
 * (703) Add ability to specify wildcarded files to retrieve
PAGINATE:
 * HEADING | FOOTER [ FRONT | BACK ] ?
TXTABLE:
 * Adding some other line options (e.g. double around table but single within)
All routines:
 * Maybe have a Windows SETUP interface and prompter?


